Subject: Re: [bug#30500] [PATCH] services: cups: Add all extensions by default.

From: Efraim Flashner <[email-masked]>
Date: Wed, 18 Nov 2020 10:28:00 +0200

On Wed, Nov 18, 2020 at 12:07:47AM +0100, zimoun wrote:
> Hi,
> 
> Does it make sense to apply the patch and close this old bug?
> 
> From my point of view, yes for the two. ;-)
> 

I no longer have the original bug report in my main mail folder, that's
how old it is :). Lets add a couple more, printing sucks a lot as it
already is. I don't think it's any worse than, say, adding
[email-masked] by default. Just make sure the documentation is
updated accordingly.

I vote yes

> 
> All the best,
> simon
> 
> On Sat, 17 Feb 2018 at 15:54, Danny Milosavljevic <[email-masked]> wrote:
> > * gnu/services/cups.scm (cups-configuration): Add all extensions by default.
> > ---
> >  gnu/services/cups.scm | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/gnu/services/cups.scm b/gnu/services/cups.scm
> > index 4c62e6a6f..4e7325a74 100644
> > --- a/gnu/services/cups.scm
> > +++ b/gnu/services/cups.scm
> > @@ -465,7 +465,7 @@ programs."))
> >     (package cups)
> >     "The CUPS package.")
> >    (extensions
> > -   (package-list (list cups-filters))
> > +   (package-list (list cups-filters escpr hplip))
> >     "Drivers and other extensions to the CUPS package.")
> >    (files-configuration
> >     (files-configuration (files-configuration))
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted